#if !defined(AFX_GRAPHICSOPTIONSDLG_H__19ABE5E1_3973_11D2_87A0_00A0CC303B65__INCLUDED_)
#define AFX_GRAPHICSOPTIONSDLG_H__19ABE5E1_3973_11D2_87A0_00A0CC303B65__INCLUDED_


class CGraphicsOptionsDlg;

#include "CardDlg.h"

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// GraphicsOptionsDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CGraphicsOptionsDlg dialog

typedef enum {
	GRAB_NONE = 0,
	GRAB_MOVE,
	GRAB_SIZE
} GRAB_TYPE;

typedef struct {
	GRAB_TYPE GrabType;
	int* pXPos;
	int* pYPos;
	int* pWidth;
	int* pHeight;
	CPoint CapturePoint;
	long *pXValueUpdate;
	long *pYValueUpdate;
	int HeightMax;
} GRAB_INFO;


class CGraphicsOptionsDlg : public CDialog
{
// Construction
public:
	CGraphicsOptionsDlg(CWnd* pParent = NULL);   // standard constructor

	CCardDlg *m_pCardDlg;

	BOOL m_bDlgInitialized;

	GRAB_INFO m_GrabInfo;
//	CPoint m_CapturePoint;
	BOOL m_MouseCaptured;
//	int m_OverlayCaptured;

	BOOL m_RGBVideoZOrderFlags;
	BOOL m_VScrollZOrderFlags;
	BOOL m_HScrollZOrderFlags;
	BOOL m_TitleOvlyZOrderFlags;

// Dialog Data
	//{{AFX_DATA(CGraphicsOptionsDlg)
	enum { IDD = IDD_GRAPHICS_OPTIONS };
	CEdit	m_EditSelectedSetting;
	CSliderCtrl	m_AlphaSlider;
	int		m_HScrollHeight;
	int		m_HScrollWidth;
	int		m_HScrollXPos;
	int		m_HScrollYPos;
	int		m_PriVideoHeight;
	int		m_PriVideoWidth;
	int		m_PriVideoXPos;
	int		m_PriVideoYPos;
	int		m_SecVideoHeight;
	int		m_SecVideoWidth;
	int		m_SecVideoXPos;
	int		m_SecVideoYPos;
	BOOL	m_bShowHScroll;
	BOOL	m_bShowPriVideo;
	BOOL	m_bShowSecVideo;
	BOOL	m_bShowVScroll;
	int		m_VScrollHeight;
	int		m_VScrollWidth;
	int		m_VScrollYPos;
	int		m_VScrollXPos;
	int		m_HScrollPixelsPerStep;
	int		m_HScrollVerticalsPerStep;
	int		m_VScrollPixelsPerStep;
	int		m_VScrollVerticalsPerStep;
	BOOL	m_bAutoApply;
	int		m_Ovly1Height;
	int		m_Ovly1PixelsPerStep;
	int		m_Ovly1Width;
	int		m_Ovly1XPos;
	int		m_Ovly1YPos;
	BOOL	m_bHScrollBlend;
	BOOL	m_bHScrollInvBlend;
	BOOL	m_bOvly1InvBlend;
	BOOL	m_bVScrollBlend;
	BOOL	m_bVScrollInvBlend;
	BOOL	m_bOvly1Blend;
	BOOL	m_bShowOvly1;
	BOOL	m_bHScrollFilter;
	BOOL	m_bVScrollFilter;
	BOOL	m_Ovly1Filter;
	BOOL	m_bOvly1CkEnable;
	DWORD	m_Ovly1CkColor;
	BOOL	m_bBkGndFilter;
	BOOL	m_bShowBkGnd;
	BOOL	m_bShowRGBVideo;
	int		m_RGBVideoHeight;
	int		m_RGBVideoWidth;
	int		m_RGBVideoXPos;
	int		m_RGBVideoYPos;
	int		m_PriVideoCropHeight;
	int		m_PriVideoCropWidth;
	int		m_PriVideoCropXPos;
	int		m_PriVideoCropYPos;
	int		m_SecVideoCropHeight;
	int		m_SecVideoCropWidth;
	int		m_SecVideoCropXPos;
	int		m_SecVideoCropYPos;
	int		m_RGBVideoCropHeight;
	int		m_RGBVideoCropWidth;
	int		m_RGBVideoCropXPos;
	int		m_RGBVideoCropYPos;
	BOOL	m_bBkGndUpdateAlpha;
	BOOL	m_bRGBVideoWriteAlpha;
	BOOL	m_bOvly1WriteAlpha;
	BOOL	m_bVScrollWriteAlpha;
	BOOL	m_bHScrollWriteAlpha;
	BOOL	m_bHorzGradient;
	BOOL	m_bVertGradient;
	int		m_AlphaValue;
	BOOL	m_bInvertAlpha;
	BOOL	m_bTransitionAlpha;
	int		m_AlphaTransitionVerts;
	CString	m_SettingDesc;
	//}}AFX_DATA

	BOOL PointInWindow(int ID, CPoint point);
	void InitControls();
	void UsePresetConfig(int PresetNum);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGraphicsOptionsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CGraphicsOptionsDlg)
	afx_msg void OnApply();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnChange();
	afx_msg void OnAutoApply();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnConfig1();
	afx_msg void OnConfig2();
	afx_msg void OnConfig3();
	afx_msg void OnConfig4();
	afx_msg void OnConfig5();
	afx_msg void OnConfig6();
	afx_msg void OnConfig7();
	afx_msg void OnBkgndShow();
	afx_msg void OnZUpRgbVid();
	afx_msg void OnZDnRgbVid();
	afx_msg void OnZUpTitle();
	afx_msg void OnZUpVscroll();
	afx_msg void OnZUpHscroll();
	afx_msg void OnZDnHscroll();
	afx_msg void OnZDnVscroll();
	afx_msg void OnZDnTitle();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnVscrollContent();
	afx_msg void OnHscrollContent();
	afx_msg void OnBkgndContent();
	afx_msg void OnOvly1Content();
	afx_msg void OnChangeAlphaLevel();
	afx_msg void OnDbgInfo();
	afx_msg void OnSavePreset();
	afx_msg void OnConfig8();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GRAPHICSOPTIONSDLG_H__19ABE5E1_3973_11D2_87A0_00A0CC303B65__INCLUDED_)
